News

announcements | 25 May 2017

OQ engine version 2.4 is now available

This release introduces several changes and improvements to the engine calculators, most notably in the postprocessing of hazard and loss curves. In addition, several exporters have been revised and added for new types of outputs. The GEM IT team also fixed some critical bugs and added useful optimizations. This version of the engine is dedicated to the American geophysicist Maurice Ewing.

For the complete list of changes, please see the changelogs at https://github.com/gem/oq-hazardlib/blob/engine-2.4/debian/changelog and https://github.com/gem/oq-engine/blob/engine-2.4/debian/changelog.

The team will soon stop providing support for Python 2 in 2018. The exact date has not yet been set but users of the hazardlib and the engine as a library should start migrating to Python 3. Please contact the IT team for advice and techncial support for migration-related issues.

You can find the release notes here:

https://github.com/gem/oq-engine/blob/engine-2.4/doc/whats-new.md

This version can be installed on all supported platforms (Linux, Windows, Mac OS X) by following the instructions given here:

https://github.com/gem/oq-engine/blob/engine-2.4/README.md

You can download the OpenQuake engine manual here:

http://www.globalquakemodel.org/openquake/support/documentation/engine/

IMPORTANT NOTE: The engine is not able to read or export computations performed with previous releases, hence please export results you would like to keep before upgrading. Otherwise you will have to repeat the computation.

Comments

  • No comments yet.

Leave a reply

  • captcha